Package: org.grails.cli.profile.repository

## [Groovy] Class StaticJarProfileRepository

- org.grails.cli.profile.repository.StaticJarProfileRepository

-     @groovy.transform.CompileStatic
      class StaticJarProfileRepository
      extends AbstractJarProfileRepository

  A JAR file repository that resolves profiles from a static array of JAR file URLs

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.net.URL[]` | `urls` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractJarProfileRepository` | `DEFAULT_PROFILE_GROUPID, allProfiles, profilesByName, registeredUrls`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.net.URL[]` | `urls`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticJarProfileRepository (java.lang.ClassLoader parent, java.net.URL[] urls)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Profile` | `getProfile(java.lang.String profileName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractJarProfileRepository` | `getAllProfiles, getProfile, getProfile, getProfileAndDependencies, getProfileArtifact, getProfileDirectory, registerProfile, visitTopologicalSort`

- - ### Field Detail

    - #### private final java.net.URL[] urls

  - ### Property Detail

    - #### final java.net.URL[] urls

  - ### Constructor Detail

    - #### StaticJarProfileRepository(java.lang.ClassLoader parent, java.net.URL[] urls)

  - ### Method Detail

    - #### Profile getProfile(java.lang.String profileName)